<?php

namespace CustomerManagement\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for NotificationSubscriptionArmingEvent StructType
 * @subpackage Structs
 */
class NotificationSubscriptionArmingEvent extends NotificationSubscriptionSchedule
{
    /**
     * The Events
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \CustomerManagement\ArrayType\ArrayOfEventTypeEnum
     */
    public $Events;
    /**
     * The Users
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \CustomerManagement\ArrayType\ArrayOfInt
     */
    public $Users;
    /**
     * Constructor method for NotificationSubscriptionArmingEvent
     * @uses NotificationSubscriptionArmingEvent::setEvents()
     * @uses NotificationSubscriptionArmingEvent::setUsers()
     * @param \CustomerManagement\ArrayType\ArrayOfEventTypeEnum $events
     * @param \CustomerManagement\ArrayType\ArrayOfInt $users
     */
    public function __construct(\CustomerManagement\ArrayType\ArrayOfEventTypeEnum $events = null, \CustomerManagement\ArrayType\ArrayOfInt $users = null)
    {
        $this
            ->setEvents($events)
            ->setUsers($users);
    }
    /**
     * Get Events value
     * @return \CustomerManagement\ArrayType\ArrayOfEventTypeEnum|null
     */
    public function getEvents()
    {
        return $this->Events;
    }
    /**
     * Set Events value
     * @param \CustomerManagement\ArrayType\ArrayOfEventTypeEnum $events
     * @return \CustomerManagement\StructType\NotificationSubscriptionArmingEvent
     */
    public function setEvents(\CustomerManagement\ArrayType\ArrayOfEventTypeEnum $events = null)
    {
        $this->Events = $events;
        return $this;
    }
    /**
     * Get Users value
     * @return \CustomerManagement\ArrayType\ArrayOfInt|null
     */
    public function getUsers()
    {
        return $this->Users;
    }
    /**
     * Set Users value
     * @param \CustomerManagement\ArrayType\ArrayOfInt $users
     * @return \CustomerManagement\StructType\NotificationSubscriptionArmingEvent
     */
    public function setUsers(\CustomerManagement\ArrayType\ArrayOfInt $users = null)
    {
        $this->Users = $users;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \CustomerManagement\StructType\NotificationSubscriptionArmingEvent
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
